Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 112)
+++ /waeup_product/trunk/Extensions/install.py	(revision 113)
@@ -71,5 +71,5 @@
         ##########################################
         waeup_ptypes = "'University','StudentsFolder','Student','Jamb','Faculty','Department','Course'"
-        waeup_ptypes += ",'AccoFolder','Accommodation','StudentPersonal'"
+        waeup_ptypes += ",'AccoFolder','Accommodation','StudentPersonal','Academics'"
         if CPSSubscriptions: ###(
             
@@ -151,7 +151,7 @@
                       },
                       { 'tool'      : 'portal_actions',
-                        'id'        : 'faculties',
-                        'name'      : 'Faculties',
-                        'action'    : 'string:${portal_url}/sections/waeup/faculties',
+                        'id'        : 'Academics',
+                        'name'      : 'Academics',
+                        'action'    : 'string:${portal_url}/sections/waeup/academics/academics_view',
                         'permission': (View ),
                         'category'  : 'main_tabs',
@@ -290,4 +290,5 @@
 
         se_chains = { 'University': 'waeup_section_wf',
+                      'AcademicsFolder': 'waeup_section_wf',
                       'StudentsFolder': 'waeup_section_wf',
                       'Student': 'waeup_section_wf',
@@ -335,8 +336,11 @@
                                             member_role='SectionReviewer',
                                             )
+        sections.waeup.content_create(type_name='AcademicsFolder',title='academics')
 ##        sections.waeup.folder_localrole_add(member_ids=('group:StudentManager',),
 ##                                            member_role='SectionManager',
 ##                                            )
         sections.waeup.students.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
+    elif not hasattr(waeup,'academics'):
+        waeup.content_create(type_name='AcademicsFolder',title='academics')
     sections.waeup.manage_setLocalGroupRoles(groupid = 'role:Anonymous',roles=('SectionReader',))
     # portlets ###(
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 112)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 113)
@@ -7,4 +7,8 @@
 
 students_folder_schema = { ###(
+}
+###)
+
+academics_folder_schema = { ###(
 }
 ###)
@@ -457,4 +461,5 @@
 
 schemas['university'] = university_schema
+schemas['academics'] = academics_folder_schema
 schemas['students'] = students_folder_schema
 schemas['student'] = student_schema
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 112)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 113)
@@ -34,16 +34,10 @@
                  'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
-                {'id': 'add_faculty',
-                 'name': 'Add a Faculty',
-                 'condition': "python:member and not 'Student'in member.getRoles()",
-                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
-                 #'action': 'folder_factories',
-                 'permissions': (UniversityManage,)},
-                {'id': 'add_accommodation',
-                 'name': 'Add an Accommodation Hall',
-                 'condition': "python:member and not 'Student'in member.getRoles()",
-                 'action'    : 'string:${object/absolute_url}/add_accommodation',
-                 #'action': 'folder_factories',
-                 'permissions': (UniversityManage,)},
+##                {'id': 'add_accommodation',
+##                 'name': 'Add an Accommodation Hall',
+##                 'condition': "python:member and not 'Student'in member.getRoles()",
+##                 'action'    : 'string:${object/absolute_url}/add_accommodation',
+##                 #'action': 'folder_factories',
+##                 'permissions': (UniversityManage,)},
                  {'id': 'new_content',
                  'name': 'New content',
@@ -56,6 +50,7 @@
                  'name': 'action_folder_contents',
                  'action': 'folder_contents',
-                 'condition': "python:member and 'UniversityManager' in member.getRoles()",
-                 'permissions': (ModifyPortalContent,UniversityManage,)},
+                 'condition': "python:member and  'Manager' in member.getRoles()",
+                 'condition': "",
+                 'permissions': (ModifyPortalContent,)},
                 {'id': 'edit',
                  'name': 'action_edit',
@@ -68,9 +63,10 @@
                  'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,)},
-          {'id': 'localroles',
-          'name': 'delegate',
-          'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,StudentManage)
-          },
+                 {'id': 'localroles',
+                 'name': 'delegate',
+                 'action': 'folder_localrole_form',
+                 'permissions': (ModifyPortalContent),
+                 'visible' : 0,
+                 },
                  )
         }
@@ -100,5 +96,5 @@
                  'name': 'Students',
                  'action': 'students_folder_view',
-                 'condition': "python:member and 'Manager' in member.getRoles()",
+                 #'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
 ##                {
@@ -136,4 +132,43 @@
     )
 }
+###)
+
+academics_folder_type = { ###(
+    'title': 'WAeUP Academics Folder',
+    'description': 'The WAeUP Academics Folder',
+    'content_icon': '',
+    'content_meta_type': 'AcademicsFolder',
+    'product': 'CPSDefault',
+    'factory': 'addFolder',
+    'immediate_view': 'folder_view',
+    'global_allow': 1,
+    'filter_content_types': 1,
+    'allowed_content_types': ('Faculty',),
+    'allow_discussion': 0,
+    'cps_is_searchable': 1,
+    'cps_display_as_document_in_listing': 1,
+    'cps_proxy_type': 'folder',
+    'schemas': ['metadata', 'common', 'folder'],
+    'layouts': ['waeup_common','folder'],
+    'layout_clusters': ['metadata:metadata'],
+    'cps_section_wf': 'waeup_section_wf',
+    'actions': ({'id': 'view',
+                 'name': 'Academics',
+                 'action': 'academics_view',
+                 'condition': "",
+                 'permissions': (View,)},
+                {'id': 'add_faculty',
+                 'name': 'Add a Faculty',
+                 'condition': "python:member and 'UniversityManager'in member.getRoles()",
+                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
+                 'permissions': (UniversityManage,)},
+                 {'id': 'localroles',
+                 'name': 'delegate',
+                 'action': 'folder_localrole_form',
+                 'permissions': (UniversityManage,),
+                 'visible': False,
+                 },
+                )
+      }
 ###)
 
@@ -624,4 +659,5 @@
 types['University'] = university_type
 types['StudentsFolder'] = students_folder_type
+types['AcademicsFolder'] = academics_folder_type
 types['Student'] = student_type
 types['StudentPersonal'] = student_personal_type
Index: /waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 112)
+++ /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 113)
@@ -10,4 +10,8 @@
     if 'Manager' in member.getRoles():
         return context.folder_view()
-return context.documents.frontpage()
+index = getattr(context,'documents',None)
+if index:
+    fp = getattr(index,'frontpage',None)
+    if fp:
+        return fp() 
 return context.university_view_all(psm=psm)
Index: /waeup_product/trunk/skins/waeup_default/university_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/university_view_all.pt	(revision 112)
+++ /waeup_product/trunk/skins/waeup_default/university_view_all.pt	(revision 113)
@@ -17,5 +17,4 @@
                items here/contentValues"
                >
-    <span tal:content="context/documents/frontpage/content" />
     <a href="" tal:attributes="href string:${context/absolute_url}/admission_status">Admission List UME</a>.<br />
     <a href="" tal:attributes="href string:${context/absolute_url}/check_admission">Admission Request (JAMB canditates only)</a>.
Index: /waeup_product/trunk/skins/waeup_student/students_folder_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 112)
+++ /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 113)
@@ -11,5 +11,5 @@
     if 'Manager' in roles:
         return context.folder_view()
-    elif 'StudentManager' in roles:
+    elif 'StudentManager' in roles or 'UniversityManager' in roles:
         return context.students_folder_view_manager(psm=psm)
     elif 'Student' in roles: