Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 118)
+++ /waeup_product/trunk/Extensions/install.py	(revision 119)
@@ -29,5 +29,5 @@
         product_name = self.product_name
         self.log("Starting %(product_name)s install" % vars() )
-    
+
         # Roles and Permissions ###(
         #
@@ -48,17 +48,17 @@
         waeup_perms = {
             UniversityManage:
-                ('Manager', 'SectionManager','UniversityManager', 
+                ('Manager', 'SectionManager','UniversityManager',
                  ),
             StudentManage:
-                ('Manager', 'SectionManager','UniversityManager', 'StudentManager' 
+                ('Manager', 'SectionManager','UniversityManager', 'StudentManager'
                  ),
             FacultyManage:
-                ('Manager', 'SectionManager','UniversityManager', 'FacultyManager' 
+                ('Manager', 'SectionManager','UniversityManager', 'FacultyManager'
                  ),
             DepartmentManage:
-                ('Manager', 'SectionManager','UniversityManager', 'DepartmentManager' 
+                ('Manager', 'SectionManager','UniversityManager', 'DepartmentManager'
                  ),
             CourseManage:
-                ('Manager', 'SectionManager','UniversityManager', 'CourseManager' 
+                ('Manager', 'SectionManager','UniversityManager', 'CourseManager'
                  ),
         }
@@ -68,14 +68,14 @@
 
         ##########################################
-        # Actions 
+        # Actions
         ##########################################
         waeup_ptypes = "'University','StudentsFolder','Student','Jamb','Faculty','Department','Course'"
-        waeup_ptypes += ",'AccoFolder','Accommodation','StudentPersonal','Academics'"
+        waeup_ptypes += ",'AccoFolder','Accommodation','StudentPersonal','AcademicsFolder'"
         if CPSSubscriptions: ###(
-            
+
             ptypes = "('Portal', 'CPSMailAccess Message', 'CPSMailAccess Box', 'CPSMailAccess Folder',"\
                      + waeup_ptypes + ")"
             condition = "object.portal_type not in %s" % ptypes
-    
+
             action = {'id' : 'notify_content',
                       'name' : 'action_notify_content',
@@ -89,5 +89,5 @@
         if CPSForum:
             condition = "object.portal_type not in (%s)" % waeup_ptypes
-    
+
             action = {'id' : 'activate_comments',
                       'name': 'action_activate_comments',
@@ -136,5 +136,5 @@
                       }
             self.verifyAction('portal_discussion', **action)
-        
+
 ###)
 
@@ -144,5 +144,5 @@
         actions = ( { 'tool'      : 'portal_actions',
                         'id'        : 'student_administration',
-                        'name'      : 'Student Administration',
+                        'name'      : 'Students',
                         'action'    : 'string:${portal_url}/sections/waeup/students',
                         'permission': (View, ),
@@ -161,5 +161,5 @@
                         'id'        : 'accomodation',
                         'name'      : 'Accommodation',
-                        'action'    : 'string:${portal_url}/sections/waeup/Accommodation/accommodation_index_html',
+                        'action'    : 'string:${portal_url}/sections/waeup/accommodation/accommodation_index_html',
                         'permissions': (View),
                         #'permissions': (ModifyPortalContent,UniversityManage,StudentManage),
@@ -226,5 +226,5 @@
 ###)
 
-        # skins 
+        # skins
         ##########################################
         self.log("Verifying %(product_name)s skinss" % vars())
@@ -235,5 +235,5 @@
         self.verifySkins(wskins)
         self.resetSkinCache()
-        
+
         ##########################################
         # portal types
@@ -265,11 +265,11 @@
         # Groups
         ##########################################
-            
+
         self.installCustomWorkflows()
         self.verifyWorkflowAssociation()
-        
+
         self.log("End of specific %(product_name)s install" % vars())
         self.finalize()
-        
+
 
     def installCustomWorkflows(self):
@@ -285,5 +285,5 @@
         """Verify workflow association
         """
-        ws_chains = { 
+        ws_chains = {
                       'Student': 'waeup_workspace_wf',
                       'Jamb': 'waeup_workspace_wf',
@@ -319,9 +319,9 @@
     for delEntry in ('StudentManager',):
         if delEntry in groups.listEntryIds():
-            groups.deleteEntry(delEntry)  
+            groups.deleteEntry(delEntry)
     for newEntry in ('Students',):
         if newEntry not in groups.listEntryIds():
-            groups.createEntry({'group': newEntry, 
-                                'members': []})  
+            groups.createEntry({'group': newEntry,
+                                'members': []})
     #groups.manage_setLocalGroupRoles(groupid = 'StudentManager',roles=('Manager',))
     #groups.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 118)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 119)
@@ -51,5 +51,4 @@
                  'action': 'folder_contents',
                  'condition': "python:member and  'Manager' in member.getRoles()",
-                 'condition': "",
                  'permissions': (ModifyPortalContent,)},
                 {'id': 'edit',
@@ -106,12 +105,14 @@
                 {
                 'id'        : 'add_jamb',
-                'name'      : 'Add Student JAMB',
+                'name'      : 'Add JAMB Data',
                 'action'    : 'string:${object/absolute_url}/create_jamb',
                 'permissions': (UniversityManage,StudentManage)},
-          {'id': 'localroles',
-          'name': 'delegate',
-          'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,)
-          },
+                {
+                'id': 'localroles',
+                 'name': 'delegate',
+                 'action': 'folder_localrole_form',
+                 'permissions': (ModifyPortalContent),
+                 'visible' : 0,
+                },
 ##                {'id': 'contents',
 ##                 'name': 'action_folder_contents',
@@ -159,5 +160,5 @@
                  'permissions': (View,)},
                 {'id': 'add_faculty',
-                 'name': 'Add a Faculty',
+                 'name': 'Add Faculty',
                  'condition': "python:member and 'UniversityManager'in member.getRoles()",
                  'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
@@ -208,8 +209,9 @@
           'condition': "python:member and 'Manager' in member.getRoles()",
           'permissions': (UniversityManage,)},
-          {'id': 'localroles',
+         {'id': 'localroles',
           'name': 'delegate',
           'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,)
+          'permissions': (ModifyPortalContent),
+          'visible' : 0,
           },
           )
@@ -306,8 +308,9 @@
           'permission': (ModifyPortalContent,StudentManage),
           },
-          {'id': 'localroles',
+         {'id': 'localroles',
           'name': 'delegate',
           'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,)
+          'permissions': (ModifyPortalContent),
+          'visible' : 0,
           },
           {
@@ -407,5 +410,5 @@
           'visible': True,},
           {'id': 'add_department',
-          'name': 'Add a Department',
+          'name': 'Add Department',
           'action'    : 'string:${object/absolute_url}/create_common?type_name=Department',
           'permissions': (ModifyPortalContent,UniversityManage,)},
@@ -428,5 +431,6 @@
           'name': 'delegate',
           'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,)
+          'permissions': (ModifyPortalContent),
+          'visible' : 0,
           },
           )
@@ -469,5 +473,5 @@
           'visible': True,},
           {'id': 'create_course',
-          'name': 'Add a Course',
+          'name': 'Add Course',
           'action'    : 'string:${object/absolute_url}/create_course',
           'permissions': (ModifyPortalContent,UniversityManage,)},
@@ -490,11 +494,12 @@
           'name': 'delegate',
           'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,)
-          },
-          )
-}
-###)
-
-course_type = { ###(  
+          'permissions': (ModifyPortalContent),
+          'visible' : 0,
+          },
+          )
+}
+###)
+
+course_type = { ###(
     'title': 'WAeUP Course',
     'description': '',
@@ -550,5 +555,6 @@
           'name': 'delegate',
           'action': 'folder_localrole_form',
-          'permissions': (UniversityManage,)
+          'permissions': (ModifyPortalContent),
+          'visible' : 0,
           },
           )
@@ -586,6 +592,6 @@
           'visible': True,},
           {'id': 'add_accommodation',
-          'name': 'Add an Accommodation Hall',
-          'condition': "python:member and not 'Student'in member.getRoles()",
+          'name': 'Add Accommodation Hall',
+          'condition': "python:member and 'UniversityManager'in member.getRoles()",
           'action'    : 'add_accommodation',
           #'action': 'folder_factories',
@@ -606,5 +612,5 @@
 ###)
 
-accommodation = { ###(  
+accommodation = { ###(
     'title': 'WAeUP Accommodation',
     'description': '',
Index: /waeup_product/trunk/skins/waeup_faculty/academics_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/academics_view_all.pt	(revision 118)
+++ /waeup_product/trunk/skins/waeup_faculty/academics_view_all.pt	(revision 119)
@@ -15,5 +15,5 @@
   <metal:block fill-slot="main"
                tal:define="items here/contentValues">
-    <h2>The Faculties</h2>
+    <h2>Academics (Faculties)</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
Index: /waeup_product/trunk/skins/waeup_student/accommodation_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/accommodation_index_html.py	(revision 118)
+++ /waeup_product/trunk/skins/waeup_student/accommodation_index_html.py	(revision 119)
@@ -3,5 +3,5 @@
 # $Id$
 
-"""Default view for the Accommodation. 
+"""Default view for the Accommodation.
 """
 
@@ -10,5 +10,5 @@
     roles = member.getRoles()
     if 'Manager' in roles:
-        return context.folder_view()
+        return context.accommodation_view_manager(psm=psm)
     elif 'StudentManager' in roles:
         return context.accommodation_view_manager(psm=psm)
Index: /waeup_product/trunk/skins/waeup_student/accommodation_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/accommodation_view_all.pt	(revision 118)
+++ /waeup_product/trunk/skins/waeup_student/accommodation_view_all.pt	(revision 119)
@@ -12,5 +12,5 @@
              tal:define="items here/contentValues"
              >
-    <h2><span tal:content="context/id" /></h2>
+    <h2>Accomodation</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
@@ -19,5 +19,5 @@
             <a href="jamb" 
                tal:attributes="href item/absolute_url"
-               tal:content="item/title_or_id"></a>
+               tal:content="item/heading"></a>
           </td>
         </tr>
Index: /waeup_product/trunk/skins/waeup_student/accommodation_view_manager.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/accommodation_view_manager.pt	(revision 118)
+++ /waeup_product/trunk/skins/waeup_student/accommodation_view_manager.pt	(revision 119)
@@ -12,5 +12,5 @@
              tal:define="items here/contentValues"
              >
-    <h2><span tal:content="context/id" /></h2>
+    <h2>Accomodation</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
@@ -19,5 +19,5 @@
             <a href="jamb" 
                tal:attributes="href item/absolute_url"
-               tal:content="item/title_or_id"></a>
+               tal:content="item/heading"></a>
           </td>
         </tr>
Index: /waeup_product/trunk/skins/waeup_student/accommodation_view_student.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/accommodation_view_student.pt	(revision 118)
+++ /waeup_product/trunk/skins/waeup_student/accommodation_view_student.pt	(revision 119)
@@ -12,5 +12,5 @@
              tal:define="items here/contentValues"
              >
-    <h2><span tal:content="context/title_or_id" /></h2>
+    <h2>Accomodation</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
@@ -19,5 +19,5 @@
             <a href="jamb" 
                tal:attributes="href item/absolute_url"
-               tal:content="item/title_or_id"></a>
+               tal:content="item/heading"></a>
           </td>
         </tr>
Index: /waeup_product/trunk/skins/waeup_student/add_accommodation.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/add_accommodation.py	(revision 118)
+++ /waeup_product/trunk/skins/waeup_student/add_accommodation.py	(revision 119)
@@ -16,11 +16,4 @@
 lt = context.portal_layouts
 
-accofolder = getattr(context,"Accommodation",None)
-if accofolder is None:
-    context.invokeFactory('AccoFolder','Accommodation')
-    accofolder = getattr(context,"Accommodation")
-    context.notifyCPSDocumentCreation(ob=accofolder)
-    
-    
 res,psm,ds = lt.renderLayout(layout_id= 'accommodation',
                       schema_id = 'accommodation',
@@ -45,10 +38,10 @@
 elif psm == 'valid':
     oid = "%s" % ds.get('heading').replace(' ','')
-    accofolder.invokeFactory(type_name,oid) 
-    object = getattr(accofolder,oid)    
+    context.invokeFactory(type_name,oid)
+    object = getattr(context,oid)
     object.getContent().edit(mapping=ds)
     context.notifyCPSDocumentCreation(ob=object)
     psm = 'new %s created' % oid
-    context_ti = context.portal_types[context.portal_type] 
+    context_ti = context.portal_types[context.portal_type]
     index = context_ti.getActionById('view','university_view')
     return getattr(context,index)(psm=psm)