Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 122)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 124)
@@ -30,7 +30,8 @@
     'cps_section_wf': 'waeup_section_wf',
     'actions': ({'id': 'view',
-                 'name': 'action_view',
-                 'action': 'university_view',
-                 'condition': "python:member and 'Manager' in member.getRoles()",
+                 'name': 'Standard View',
+                 #'action': 'university_view',
+                 'action': 'temporary_view_all',
+                 #'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
 ##                {'id': 'add_accommodation',
@@ -93,6 +94,7 @@
     'cps_section_wf': 'waeup_section_wf',
     'actions': ({'id': 'view',
-                 'name': 'Students',
-                 'action': 'students_folder_view',
+                 'name': 'Standard View',
+                 #'action': 'students_folder_view',
+                 'action': 'temporary_view_all',
                  #'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
@@ -108,4 +110,16 @@
                 'action'    : 'string:${object/absolute_url}/create_jamb',
                 'permissions': (UniversityManage,StudentManage)},
+                {
+                'id'        : 'my_admission',
+                'name'      : 'My Admission Status',
+                'action'    : 'string:${object/absolute_url}/check_admission',
+                'condition':  'object/portal_membership/isAnonymousUser',
+                'permission': (View,)},
+                {
+                'id'        : 'admission_list',
+                'name'      : 'Admission List',
+                'action'    : 'string:${object/absolute_url}/admission_status',
+                'condition':  'object/portal_membership/isAnonymousUser',
+                'permission': (View,)},
                 {
                 'id': 'localroles',
@@ -155,6 +169,7 @@
     'cps_section_wf': 'waeup_section_wf',
     'actions': ({'id': 'view',
-                 'name': 'Academics',
-                 'action': 'academics_view',
+                 'name': 'Standard View',
+                 #'action': 'academics_view',
+                 'action': 'temporary_view_all',
                  'condition': "",
                  'permissions': (View,)},
@@ -197,7 +212,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/student_index_html',
-          #'action': 'string:${object_url}/cpsdocument_view',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/student_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': (View,),
@@ -215,4 +230,21 @@
           'visible' : 0,
           },
+         {'id'        : 'JAMB',
+          'name'      : 'JAMB Data',
+          'action'    : 'string:${object/absolute_url}/JAMB',
+          'condition':  '',
+          'permission': (ModifyPortalContent,)},
+          {
+          'id'        : 'PERSONAL',
+          'name'      : 'Personal Data',
+          'action'    : 'string:${object/absolute_url}/PERSONAL',
+          'condition':  '',
+          'permission': (ModifyPortalContent,)},
+          {
+          'id'        : 'book_accomodation',
+          'name'      : 'Book Accomodation',
+          'action'    : 'string:${object/absolute_url}/book_accommodation',
+          'condition':  '',
+          'permission': (ModifyPortalContent,)},
           )
 }
@@ -240,5 +272,5 @@
 ##    'actions': (
 ##         {'id': 'view',
-##          'name': 'action_view',
+##          'name': 'Standard View',
 ##          'action': 'string:${object_url}/document_view',
 ##          'condition': '',
@@ -297,6 +329,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/jamb_index_html',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/jamb_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': (View,),
@@ -306,5 +339,5 @@
           'action': 'string:${object_url}/waeup_edit_form',
           'condition': '',
-          'permission': (ModifyPortalContent,StudentManage),
+          'permission': (StudentManage),
           },
          {'id': 'localroles',
@@ -353,8 +386,9 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/student_personal_index_html',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/student_personal_index_html',
           #'action': 'string:${object_url}/cpsdocument_view',
-          'permission': ('View',),
+          'action': 'temporary_view_all',
+          'permission': (View,),
           'category': 'object',
           'visible': True,},
@@ -363,5 +397,5 @@
           'action': 'string:${object_url}/student_personal_edit_form',
           'condition': '',
-          'permission': ('View',),
+          'permission': (ModifyPortalContent,),
           'category': 'object',
           'visible': True,},
@@ -398,6 +432,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/faculty_index_html',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/faculty_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': (View,),
@@ -412,15 +447,15 @@
           'name': 'Add Department',
           'action'    : 'string:${object/absolute_url}/create_common?type_name=Department',
-          'permissions': (ModifyPortalContent,UniversityManage,)},
+          'permissions': (UniversityManage,)},
           {'id': 'contents',
           'name': 'action_folder_contents',
           'action': 'folder_contents',
           'condition': "python:member and 'Manager' in member.getRoles()",
-          'permissions': (ModifyPortalContent,UniversityManage,)},
+          'permissions': (ModifyPortalContent,)},
           {'id': 'edit',
           'name': 'action_edit',
           'action': 'cpsdocument_edit_form',
           'condition': "python:member and 'Manager' in member.getRoles()",
-          'permissions': (ModifyPortalContent,UniversityManage,)},
+          'permissions': (ModifyPortalContent,)},
           {'id': 'metadata',
           'name': 'action_metadata',
@@ -461,6 +496,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/department_index_html',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/department_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': ('View',),
@@ -470,20 +506,20 @@
           'action': 'string:${object_url}/waeup_edit_form',
           'condition': '',
-          'permission': (FacultyManage,),
+          'permission': (UniversityManage,),
           'visible': True,},
           {'id': 'create_course',
           'name': 'Add Course',
           'action'    : 'string:${object/absolute_url}/create_course',
-          'permissions': (ModifyPortalContent,UniversityManage,)},
+          'permissions': (UniversityManage,)},
           {'id': 'contents',
           'name': 'action_folder_contents',
           'action': 'folder_contents',
           'condition': "python:member and 'Manager' in member.getRoles()",
-          'permissions': (ModifyPortalContent,UniversityManage,)},
+          'permissions': (ModifyPortalContent,)},
           {'id': 'edit',
           'name': 'action_edit',
           'action': 'cpsdocument_edit_form',
           'condition': "python:member and 'Manager' in member.getRoles()",
-          'permissions': (ModifyPortalContent,UniversityManage,)},
+          'permissions': (ModifyPortalContent,)},
           {'id': 'metadata',
           'name': 'action_metadata',
@@ -524,6 +560,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/course_index_html',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/course_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': ('View',),
@@ -585,6 +622,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'accommodation_index_html',
+          'name': 'Standard View',
+          #'action': 'accommodation_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': (View,),
@@ -635,6 +673,7 @@
     'actions': (
          {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/accommodation_index_html',
+          'name': 'Standard View',
+          #'action': 'string:${object_url}/accommodation_index_html',
+          'action': 'temporary_view_all',
           'condition': '',
           'permission': ('View',),
@@ -642,5 +681,5 @@
           'visible': True,},
          {'id': 'edit',
-          'name': 'edit',
+          'name': 'action_edit',
           'action': 'string:${object_url}/waeup_edit_form',
           'permission': (UniversityManage,StudentManage),
Index: waeup_product/trunk/skins/waeup_default/logged_out.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/logged_out.pt	(revision 122)
+++ waeup_product/trunk/skins/waeup_default/logged_out.pt	(revision 124)
@@ -8,6 +8,4 @@
      i18n:translate="description_logout_success">
     You have been logged out. <br />
-    <a href="" tal:attributes="href string:${base_url}/sections/unidemo/students/check_admission">check your admission</a>
-
   </p>
 
Index: waeup_product/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 122)
+++ waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 124)
@@ -4,22 +4,22 @@
            >
   <tal:block condition="not:anonymous">
-    <span i18n:translate="">You are currently logged in as
+    <div i18n:translate="">You are currently logged in as
       <em i18n:name="member"
           tal:content="member" /><br />with Basic Roles <span tal:content="member/getRoles" /><br />
       <span tal:condition="python: 0" tal:content="python:mtool.getCPSCandidateLocalRoles(context)" />
-      <a href="" tal:condition="python: 'Students' in member.getGroups()" 
-         tal:attributes="href string:${here/portal_url}/sections/waeup/students/${member}">goto your personal area</a>
-    </span><br />
+    </div>
+    <a href="" tal:condition="python: 'Student' in member.getGroups()" 
+         tal:attributes="href string:${here/portal_url}/students/${member}">
+         Go to your personal area
+    </a>
+
     <a href="" tal:condition="python: 0" tal:attributes="href string:${context/portal_url}/cpsdirectory_entry_view?dirname=members&id=${member}">Edit your Preferences</a><br />
-   <br />
-    (<a href="" i18n:translate=""
-        tal:attributes="href string:${here/portal_url}/sections/waeup/logout">log out</a>)
+
+    <a href="" i18n:translate=""
+        tal:attributes="href string:${here/portal_url}/logout">Log out</a>
   </tal:block>
   <tal:block condition="anonymous">
-    <span >You are currently not logged in </span><br />
-    <a href="" tal:attributes="href string:${here/portal_url}/sections/waeup/login_form">Login</a>
+    <div>You are currently not logged in </div><br />
+    <a href="" tal:attributes="href string:${here/portal_url}/login_form">Log in</a>
   </tal:block>
-  <br />
-  <a tal:condition="python: 0" href="" i18n:translate=""
-     tal:attributes="href string:${here/portal_url}/sections/waeup/students">Student Administration</a>
 </tal:block>
Index: waeup_product/trunk/skins/waeup_default/temporary_view_all.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/temporary_view_all.pt	(revision 122)
+++ waeup_product/trunk/skins/waeup_default/temporary_view_all.pt	(revision 124)
@@ -14,8 +14,40 @@
 
   <metal:block fill-slot="main"
-               tal:define="student_folder here/getContent;
-               items here/contentValues"
+               tal:define="folder here/getContent;
+               items here/contentValues;
+               attributes here/contentValues"
                >
-  This is the main text area of the object with id <em tal:content="here/title_or_id" /> which has to be filled with content.
+  <h1> Title of the object '<em tal:content="here/id" />'</h1>             
+               
+  <p>This is the main text area of the object with id <em tal:content="here/id" /> which has to be filled with content.</p>
+  
+  <p>This is a list of attributes assigned to the <em tal:content="here/title_or_id" /> object which can be displayed in various ways: </p>
+  
+  <br />
+    
+  <p>(The attribute listing is not yet implemented.)</p>
+  
+  <br />
+  
+  <p>This is a list of items attached to the <em tal:content="here/title_or_id" /> object which can be listed in various ways: </p>
+  
+  <br />
+  
+  <table cellspacing="0" cellpadding="0">
+  <tal:block condition="python: len(items)">
+    <tr tal:repeat="item items">
+      <td colspan="1"> 
+        <a href="jamb" 
+           tal:attributes="href item/absolute_url"
+           tal:content="item/title_or_id"></a>
+      </td>
+    </tr>
+  </tal:block>
+  <tal:block condition="python: not len(items)">
+  (No items yet!)
+  </tal:block>
+  </table>
+
+  
   </metal:block>
   <metal:block fill-slot="sub">
Index: waeup_product/trunk/skins/waeup_student/admission_status_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/admission_status_form.pt	(revision 122)
+++ waeup_product/trunk/skins/waeup_student/admission_status_form.pt	(revision 124)
@@ -14,5 +14,5 @@
     </metal:block>
     <metal:block fill-slot="main">
-        <center><h1>Admission Status!</h1></center>
+        <h1>List admitted students!</h1>
         <p>
           You may be seeing a long list of names or just the name of the person of your interest below. 
Index: waeup_product/trunk/skins/waeup_student/book_accommodation.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/book_accommodation.py	(revision 122)
+++ waeup_product/trunk/skins/waeup_student/book_accommodation.py	(revision 124)
@@ -34,5 +34,5 @@
 elif psm == 'valid':
     sf = context.getContent()
-    halls = getattr(context,'Accommodation').contentValues()
+    halls = getattr(context,'accommodation').contentValues()
     beds = []
     student = context.PERSONAL.getContent()
@@ -43,5 +43,5 @@
         bal = getattr(h,'beds_assigned_list',[])
         nr_of_beds = int(h.nr_of_blocks) * int(h.nr_of_floors) * int(h.rooms_per_floor) * int(h.beds_per_room)
-        if h.which_sex == student.sex and nr_of_beds > len(bal): 
+        if h.which_sex == student.sex and nr_of_beds > len(bal):
             break
     dict = {'heading': h.heading,
Index: waeup_product/trunk/skins/waeup_student/booked_accommodation.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/booked_accommodation.pt	(revision 122)
+++ waeup_product/trunk/skins/waeup_student/booked_accommodation.pt	(revision 124)
@@ -7,6 +7,5 @@
                tal:define="acco options/v"
                >
-    you have successfully booked bed nr <span tal:content="acco/beds_assigned" /> in <span tal:content="acco/heading" />
-    of <span tal:content="acco/nr_of_free" /> now <span tal:content="acco/beds_assigned" /> assigned.
+    You have successfully booked bed nr <span tal:content="acco/beds_assigned" /> in <span tal:content="acco/heading" />.
   </metal:block>
   <metal:block fill-slot="sub">
Index: waeup_product/trunk/skins/waeup_student/check_admission_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/check_admission_form.pt	(revision 122)
+++ waeup_product/trunk/skins/waeup_student/check_admission_form.pt	(revision 124)
@@ -15,5 +15,5 @@
 
     <metal:block fill-slot="main">
-        <h1>check your admission to the UniDemo !</h1>
+        <h1>Check your admission status!</h1>
       <div tal:replace="structure rendered_main" />
     </metal:block>