Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 132)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 133)
@@ -136,9 +136,9 @@
             'type': 'Boolean Widget',
             'data': {
-                'title': 'Jamb Admission',
+                'title': 'JAMB Admission',
                 'fields': ('jamb_is_admitted',),
                 'is_required': False,
-                'label': 'Jamb Admission',
-                'label_edit': 'Jamb Admission',
+                'label': 'JAMB Admission',
+                'label_edit': 'JAMB Admission',
                 'description': '',
                 'help': '',
@@ -319,5 +319,5 @@
             }
         }
-            
+
 ###)
 
@@ -572,5 +572,5 @@
 
 admission_status = { ###(
-    'widgets': {        
+    'widgets': {
        'quick_search': {
             'type': 'String Widget',
@@ -615,8 +615,8 @@
                 'fields': ('reg_nr',),
                 'is_required': True,
-                'label': 'registration nr',
-                'label_edit': 'registration nr',
-                'description': 'The Student ID from JAMB',
-                'help': 'The Student ID from JAMB',
+                'label': 'Registration Nr',
+                'label_edit': 'Registration Nr',
+                'description': 'The student id from JAMB',
+                'help': 'The student id from JAMB',
                 'is_i18n': False,
                 'display_width': 10,
@@ -656,6 +656,6 @@
                 'fields': ('state',),
                 'is_required': False,
-                'label': 'state of origin',
-                'label_edit': 'state of origin',
+                'label': 'State of Origin',
+                'label_edit': 'State of Origin',
                 'description': '',
                 'help': '',
@@ -670,6 +670,6 @@
                 'fields': ('exam_results',),
                 'is_required': False,
-                'label': 'Jamb Results',
-                'label_edit': 'Jamb Results',
+                'label': 'JAMB Results',
+                'label_edit': 'JAMB Results',
                 'description': '',
                 'help': '',
@@ -705,6 +705,6 @@
                 'fields': ('faculty',),
                 'is_required': True,
-                'label': 'faculty',
-                'label_edit': 'faculty',
+                'label': 'Faculty',
+                'label_edit': 'Faculty',
                 'description': '',
                 'help': '',
@@ -770,5 +770,5 @@
 ##            },
 ##        },
-##        
+##
 ##        '3rd_choice': {
 ##            'type': 'String Widget',
@@ -823,6 +823,6 @@
                 'fields': ('admission_sc_pin',),
                 'is_required': False,
-                'label': 'pin card code',
-                'label_edit': 'pin card code',
+                'label': 'PIN Card Code',
+                'label_edit': 'PIN Card Code',
                 'description': '',
                 'help': '',
@@ -1019,5 +1019,5 @@
                 'is_i18n': 0,
                 'is_required': 1,
-                'label_edit': 'Hallname',
+                'label_edit': 'Hall Name',
                 'help': '',
                 'display_width': 40,
@@ -1032,6 +1032,6 @@
                 'fields': ('which_sex',),
                 'is_required': False,
-                'label': 'sex',
-                'label_edit': 'sex',
+                'label': 'Sex',
+                'label_edit': 'Sex',
                 'label_false': 'male',
                 'label_true': 'female',
@@ -1050,5 +1050,5 @@
                 'label_edit': 'Nr of Blocks',
                 'description': '',
-                'help': 'Number of Blocks this Hall has',
+                'help': 'Number of blocks',
                 'is_i18n': False,
                 'vocabulary': 'range10',
@@ -1064,5 +1064,5 @@
                 'label_edit': 'Nr of Floors',
                 'description': '',
-                'help': 'Number of Floors per Block this Hall has',
+                'help': 'Number of floors per block',
                 'is_i18n': False,
                 'vocabulary': 'range5',
@@ -1078,5 +1078,5 @@
                 'label_edit': 'Rooms per Floor',
                 'description': '',
-                'help': 'Number of Rooms per Floor this Hall has',
+                'help': 'Number of rooms per floor',
                 'is_i18n': False,
                 'vocabulary': 'range50',
@@ -1092,5 +1092,5 @@
                 'label_edit': 'Beds per Room',
                 'description': '',
-                'help': 'Number of Beds per Room this Hall has',
+                'help': 'Number of beds per room',
                 'is_i18n': False,
                 'vocabulary': 'range10',
@@ -1104,7 +1104,7 @@
                 'is_required': True,
                 'label': 'Assigned Beds',
-                'label_edit': 'Assigned',
-                'description': '',
-                'help': 'Number of Beds already assined',
+                'label_edit': 'Assigned Beds',
+                'description': '',
+                'help': 'Number of beds already assined to students',
                 'is_i18n': False,
             },
@@ -1134,6 +1134,6 @@
 layouts['student'] = student_layout
 layouts['student_personal'] = student_personal_layout
-layouts['accommodation'] = accommodation 
-layouts['accobook'] = accobook 
+layouts['accommodation'] = accommodation
+layouts['accobook'] = accobook
 layouts['scratch_card'] = scratch_card
 layouts['admission'] = admission