Index: waeup_product/trunk/Extensions/install.py
===================================================================
--- waeup_product/trunk/Extensions/install.py	(revision 142)
+++ waeup_product/trunk/Extensions/install.py	(revision 143)
@@ -32,5 +32,5 @@
         log = []
         prlog = log.append
-        
+
         def pr(msg, prlog=prlog):
             prlog('%s<br>' % msg)
@@ -180,10 +180,10 @@
         # main_tab actions ###(
         ##########################################
-        path = "/sections/%(SRPP_ID)s" % globals()  
+        path = "/sections/%(SRPP_ID)s" % globals()
         actions = ( { 'tool'      : 'portal_actions',
                         'id'        : 'student_administration',
                         'name'      : 'Students',
-                        #'action'    : 'string:$folder_url/students',
-                        'action'    : 'string:$portal_url%(path)s/students' % vars(),
+                        'action'    : 'string:${portal_url}/students',
+                        #'action'    : 'string:$portal_url%(path)s/students' % vars(),
                         'permission': (View, ),
                         'category'  : 'main_tabs',
@@ -193,7 +193,7 @@
                         'id'        : 'Academics',
                         'name'      : 'Academics',
-                        'action'    : 'string:$portal_url%(path)s/academics' % vars(),
+                        #'action'    : 'string:$portal_url%(path)s/academics' % vars(),
                         #'action'    : 'string:${portal_url}/sections/unidemo',
-                        #'action'    : 'string:$folder_url/academics',
+                        'action'    : 'string:${portal_url}/academics',
                         'permission': (View ),
                         'category'  : 'main_tabs',
@@ -203,6 +203,7 @@
                         'id'        : 'accomodation',
                         'name'      : 'Accommodation',
-                        'action'    : 'string:$portal_url%(path)s/accommodation' % vars(),
+                        #'action'    : 'string:$portal_url%(path)s/accommodation' % vars(),
                         #'action'    : 'string:${portal_url}/sections/waeup/accommodation/accommodation_index_html',
+                        'action'    : 'string:${portal_url}/accommodation',
                         'permissions': (View),
                         #'permissions': (ModifyPortalContent,UniversityManage,StudentManage),
@@ -292,5 +293,5 @@
 ##                                 ),
 ##                      }
-##    
+##
 ##
 ##        theme_ids = theme_container.objectIds()
@@ -308,6 +309,6 @@
 ##        theme_container.setDefaultTheme(target_themes[0]['id'])
 ###)
-    
-        
+
+
         ##########################################
         # portal types
Index: waeup_product/trunk/skins/waeup_default/temporary_view_all.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/temporary_view_all.pt	(revision 142)
+++ waeup_product/trunk/skins/waeup_default/temporary_view_all.pt	(revision 143)
@@ -18,5 +18,7 @@
     <h1> <span tal:content="context/title_or_id" /></h1>      
   
-    <p>This is a temporary view of the object of type <em tal:content="here/portal_type" /> with id <em tal:content="here/id" /> which can be customized according to the customers needs.</p>       
+    <p>This is a temporary view of the object with id <em tal:content="here/id" /> 
+       of type <em tal:content="here/portal_type" /> 
+       which can be customized according to the customers needs.</p>       
   
     <br />
@@ -32,15 +34,26 @@
   
  
-  <tal:block condition="python: len(items)">
-    <p tal:repeat="item items">
-            <a href="jamb" 
+  
+    <tal:block condition="python: len(items)">  
+    <table>
+    <span tal:repeat="item items">
+    <tr>
+     <td>
+      <span tal:content="item/portal_type" />:
+     </td>
+     <td>
+      <i>
+      <a href="jamb" 
                tal:attributes="href item/absolute_url"
-               tal:content="item/title_or_id"></a>
-            (Type: <span tal:content="item/portal_type" />)
-      </p>
-      </tal:block>
-      <tal:block condition="python: not len(items)">
+               tal:content="item/title_or_id"></a></i>
+     </td>
+     </tr>
+    </span>
+    </table>
+    </tal:block>
+    
+    <tal:block condition="python: not len(items)">
         (No items contained here!)
-      </tal:block>
+    </tal:block>
   
   </metal:block>
Index: waeup_product/trunk/skins/waeup_default/waeup_layout_lib.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/waeup_layout_lib.pt	(revision 142)
+++ waeup_product/trunk/skins/waeup_default/waeup_layout_lib.pt	(revision 143)
@@ -29,5 +29,5 @@
 <metal:block define-macro="table_view"
              tal:define="layout options/layout">
-<table border="1">
+<table border="0">
     <tal:block repeat="row layout/rows">
       <tr>
@@ -41,18 +41,18 @@
               <tal:block condition="widget/label">
               <td valign="top">
-                <span class="dlabel" i18n:translate="" tal:condition="widget/is_i18n"
-                    tal:content="widget/label">label</span>
-                <span class="dlabel" tal:condition="not:widget/is_i18n"
-                    tal:content="widget/label">label</span>
+                <span i18n:translate="" tal:condition="widget/is_i18n">
+                    <span tal:content="widget/label" />:</span>
+                <span tal:condition="not:widget/is_i18n">
+                    <span tal:content="widget/label" />:</span>
               </td>
               </tal:block>
               <tal:block condition="not: widget/label">
               <td>
-                <span class="dlabel" valign="top"> no label </span>
+                <div valign="top"> no label </div>
               </td>
               </tal:block>              
               <td>
-               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
-               <span tal:condition="not:cell/widget_rendered"> none </span>
+               <div class="ddescription"  tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
+               <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
              </td>
             </div>