Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 143)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 144)
@@ -63,5 +63,4 @@
          'data': {
                 'fields': ['Title'],
-                'level': 1,
                 'is_i18n': 0,
                 'is_required': 1,
@@ -821,8 +820,7 @@
     'widgets': {
         'heading': {
-         'type': 'Heading Widget',
+         'type': 'String Widget',
          'data': {
                 'fields': ['heading'],
-                'level': 2,
                 'is_i18n': 0,
                 'is_required': 1,
@@ -834,5 +832,4 @@
             },
         },
-        'title': Title,
         'text': Text,
         'level': {
@@ -920,6 +917,6 @@
         'ncols': 1,
         'rows': [
-            #[{'widget_id': 'heading', 'ncols': 1},],
-            [{'widget_id': 'title', 'ncols': 1},],
+            [{'widget_id': 'heading', 'ncols': 1},],
+            #[{'widget_id': 'Title', 'ncols': 1},],
             [{'widget_id': 'text', 'ncols': 1},],
             [{'widget_id': 'level', 'ncols': 1},],
@@ -1032,5 +1029,5 @@
     'widgets': {
         'heading': {
-         'type': 'Heading Widget',
+         'type': 'String Widget',
          'data': {
                 'fields': ['heading'],
@@ -1045,5 +1042,4 @@
             },
         },
-        'Title': Title,
         'text': Text,
         'which_sex': {
@@ -1137,6 +1133,6 @@
         'ncols': 1,
         'rows': [
-            #[{'widget_id': 'heading', 'ncols': 1},],
-            [{'widget_id': 'Title', 'ncols': 1},],
+            [{'widget_id': 'heading', 'ncols': 1},],
+            #[{'widget_id': 'Title', 'ncols': 1},],
             [{'widget_id': 'text', 'ncols': 1},],
             [{'widget_id': 'which_sex', 'ncols': 1},],
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 143)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 144)
@@ -321,15 +321,14 @@
 
 course_schema = { ###(
-    'Title': {
-        'type': 'CPS String Field',
-        'data': {
-            'default_expr': '',
-            'is_searchabletext': True,
-        },
-    },
+##    'Title': {
+##        'type': 'CPS String Field',
+##        'data': {
+##            'default_expr': '',
+##            'is_searchabletext': True,
+##        },
+##    },
     'heading': {
         'type': 'CPS String Field',
         'data': {
-            'default_expr': '',
             'is_searchabletext': True,
         },
@@ -338,5 +337,4 @@
         'type': 'CPS String Field',
         'data': {
-            'default_expr': 'string:',
             'is_searchabletext': True,
         },
@@ -381,10 +379,4 @@
 accommodation = { ###(
     'heading': {
-        'type': 'CPS String Field',
-        'data': {
-            'is_searchabletext': True,
-        },
-    },
-    'Title': {
         'type': 'CPS String Field',
         'data': {
Index: /waeup_product/trunk/skins/waeup_faculty/create_course.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/create_course.py	(revision 143)
+++ /waeup_product/trunk/skins/waeup_faculty/create_course.py	(revision 144)
@@ -2,5 +2,5 @@
 # $Id$
 """
-Create a Faculty
+Create a Course
 
 """
@@ -28,5 +28,4 @@
                                  create = 1,
                                  type_name = type_name,
-                                 #psm = str(ds),
                                  psm = 'Please correct your errors',
                                  )
@@ -41,5 +40,6 @@
     oid = "%s" % ds.get('code').replace(' ','')
     context.invokeFactory(type_name,oid) 
-    object = getattr(context,oid)    
+    object = getattr(context,oid)
+    ds.set('title',ds.get('heading'))
     object.getContent().edit(mapping=ds,proxy=object)
     context.notifyCPSDocumentCreation(ob=object)
Index: /waeup_product/trunk/skins/waeup_student/add_accommodation.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/add_accommodation.py	(revision 143)
+++ /waeup_product/trunk/skins/waeup_student/add_accommodation.py	(revision 144)
@@ -37,7 +37,8 @@
                                  )
 elif psm == 'valid':
-    oid = "%s" % ds.get('Title').replace(' ','')
+    oid = "%s" % ds.get('heading').replace(' ','')
     context.invokeFactory(type_name,oid)
     object = getattr(context,oid)
+    ds.set('title',ds.get('heading'))
     object.getContent().edit(mapping=ds)
     context.notifyCPSDocumentCreation(ob=object)