Index: waeup_product/trunk/Students.py
===================================================================
--- waeup_product/trunk/Students.py	(revision 152)
+++ waeup_product/trunk/Students.py	(revision 153)
@@ -53,5 +53,5 @@
     def Title(self):
         """compose title"""
-        
+        reg_nr = self.getId()[1:]
         data = getattr(self,'PERSONAL',None)
         if data is None:
@@ -61,4 +61,80 @@
             return "%s %s" % (content.firstname,content.lastname)
         return self.title
+        
+InitializeClass(Student)
+
+def addStudent(container, id, REQUEST=None, **kw):
+    """Add a Student."""
+    ob = Student(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
+###)
+
+studentpersonal_fti = { ###(
+    'title': 'WAeUP StudentPersonal',
+    'description': '',
+    'content_icon': 'student.gif',
+    'content_meta_type': 'StudentPersonal',
+    'factory': 'addStudent',
+    'immediate_view': 'student_personal_index_html',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': (),
+    'allow_discussion': False,
+}
+
+###)
+
+class StudentPersonal(CPSDocument): ###(
+    """
+    WAeUP Student container for the various student data 
+    """
+    meta_type = 'StudentPersonal'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        content = self.getContent()
+        return "Personal Data for %s %s" % (content.firstname,content.lastname)
+
+    
+InitializeClass(StudentPersonal)
+
+def addStudentPersonal(container, id, REQUEST=None, **kw):
+    """Add a Students personal data."""
+    ob = StudentPersonal(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
+###)
+
+jamb_fti = { ###(
+    'title': 'WAeUP Jamb',
+    'description': '',
+    'content_icon': '',
+    'content_meta_type': 'Jamb',
+    'factory': 'addJamb',
+    'immediate_view': 'cpsdocument_view',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': ('Course',),
+    'allow_discussion': False,
+}
+###)
+
+class Jamb(CPSDocument): ###(
+    """
+    WAeUP Jamb containing the courses and students
+    """
+    meta_type = 'Jamb'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+    
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        content = self.getContent()
+        return "JAMB Data for %s %s" % (content.firstname,content.lastname)
 
     security.declareProtected(View,"setOwnership")
@@ -68,87 +144,4 @@
         member = pm.getMemberById(member_id)
         self.changeOwnership(member)
-        
-InitializeClass(Student)
-
-def addStudent(container, id, REQUEST=None, **kw):
-    """Add a Student."""
-    ob = Student(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-
-###)
-
-studentpersonal_fti = { ###(
-    'title': 'WAeUP StudentPersonal',
-    'description': '',
-    'content_icon': 'student.gif',
-    'content_meta_type': 'StudentPersonal',
-    'factory': 'addStudent',
-    'immediate_view': 'student_personal_index_html',
-    'global_allow': True,
-    'filter_content_types': True,
-    'allowed_content_types': (),
-    'allow_discussion': False,
-}
-
-###)
-
-class StudentPersonal(CPSDocument): ###(
-    """
-    WAeUP Student container for the various student data 
-    """
-    meta_type = 'StudentPersonal'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        content = self.getContent()
-        return "Personal Data for %s %s" % (content.firstname,content.lastname)
-
-    
-InitializeClass(StudentPersonal)
-
-def addStudentPersonal(container, id, REQUEST=None, **kw):
-    """Add a Students personal data."""
-    ob = StudentPersonal(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-
-###)
-
-jamb_fti = { ###(
-    'title': 'WAeUP Jamb',
-    'description': '',
-    'content_icon': '',
-    'content_meta_type': 'Jamb',
-    'factory': 'addJamb',
-    'immediate_view': 'cpsdocument_view',
-    'global_allow': True,
-    'filter_content_types': True,
-    'allowed_content_types': ('Course',),
-    'allow_discussion': False,
-}
-###)
-
-class Jamb(CPSDocument): ###(
-    """
-    WAeUP Jamb containing the courses and students
-    """
-    meta_type = 'Jamb'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-    
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        content = self.getContent()
-        return "JAMB Data for %s %s" % (content.firstname,content.lastname)
-
-    security.declareProtected(View,"setOwnership")
-    def setOwnership(self,member_id):
-        """set ownership"""
-        pm = getattr(self,'portal_membership')
-        member = pm.getMemberById(member_id)
-        self.changeOwnership(member)
 
 InitializeClass(Jamb)
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 152)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 153)
@@ -221,5 +221,5 @@
           'action': 'temporary_view_all',
           'condition': '',
-          'permission': (View,),
+          'permission': (StudentManage,UniversityManage),
           'category': 'object',
           'visible': True,},
Index: waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py	(revision 152)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py	(revision 153)
@@ -1,2 +1,3 @@
+#-*- mode: python; mode: fold -*-
 ##parameters=
 # $Id$
@@ -12,5 +13,5 @@
 vocabularies = {}
 
-nigerian_states_voc = {
+nigerian_states = { ###(
         'type': 'CPS Vocabulary',
         'data': {'tuples': (
@@ -54,7 +55,8 @@
             )},
         }
-vocabularies['nigerian_states'] = nigerian_states_voc
+vocabularies['nigerian_states'] = nigerian_states
+###)
 
-faculties_voc = {
+faculties = { ###(
         'type': 'CPS Vocabulary',
         'data': {'tuples': (
@@ -72,6 +74,8 @@
             )},
         }
-vocabularies['faculties'] = faculties_voc
-level_voc = {
+vocabularies['faculties'] = faculties
+###)
+
+level = { ###(
         'type': 'CPS Vocabulary',
         'data': {'tuples': (
@@ -82,5 +86,7 @@
             )},
         }
-vocabularies['courselevel'] = level_voc
+vocabularies['courselevel'] = level
+
+###)
 
 vocabularies['range5'] = {'type': 'CPS Vocabulary',