Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 160)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 161)
@@ -312,5 +312,5 @@
                 'fields': ('birthday',),
                 'is_required': False,
-                'label': '',
+                'label': 'Day of birth',
                 'label_edit': 'Day of birth',
                 'description': 'Day of birth',
@@ -326,4 +326,61 @@
                 'display_width': 10,
                 'size_max': 0,
+            },
+        },
+        'photo': {
+            'type': 'Photo Widget',
+            'data': {
+                'title': '',
+                'fields': ('photo',),
+                'is_required': False,
+                'label': 'Personal Picture',
+                'label_edit': 'Personal Picture',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 4194304,
+                'display_width': 90,
+                'display_height': 180,
+                'allow_resize': True,
+                'render_position': 'left',
+                'configurable': 'nothing',
+                'keep_original': 1,
+            },
+        },
+        'birth_certificate': {
+            'type': 'Image Widget',
+            'data': {
+                'title': '',
+                'fields': ('birth_certificate',),
+                'is_required': False,
+                'label': 'Birth Certificate',
+                'label_edit': 'Birth Certificate',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'deletable': True,
+                'size_max': 4194304,
+                'display_width': 300,
+                'display_height':600,
+                'allow_resize': True,
             },
         },
@@ -339,4 +396,6 @@
             [{'widget_id': 'sex', 'ncols': 1},],
             [{'widget_id': 'birthday', 'ncols': 1},],
+            [{'widget_id': 'photo', 'ncols': 1},],
+            [{'widget_id': 'birth_certificate', 'ncols': 1},],
         ]
     },
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 160)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 161)
@@ -152,8 +152,14 @@
         },
     },
-     'state': {
-        'type': 'CPS DateTime Field',
-        'data': {
-            'is_searchabletext': 1,
+     'photo': {
+        'type': 'CPS Image Field',
+        'data': {
+            'is_searchabletext': 0,
+        },
+    },
+     'birth_certificate': {
+        'type': 'CPS Image Field',
+        'data': {
+            'is_searchabletext': 0,
         },
     },
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 160)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 161)
@@ -154,44 +154,4 @@
 ###)
 
-academics_folder_type = { ###(
-    'title': 'WAeUP Academics Folder',
-    'description': 'The WAeUP Academics Folder',
-    'content_icon': '',
-    'content_meta_type': 'AcademicsFolder',
-    'product': 'CPSDefault',
-    'factory': 'addFolder',
-    'immediate_view': 'folder_view',
-    'global_allow': 1,
-    'filter_content_types': 1,
-    'allowed_content_types': ('Faculty',),
-    'allow_discussion': 0,
-    'cps_is_searchable': 1,
-    'cps_display_as_document_in_listing': 1,
-    'cps_proxy_type': 'folder',
-    'schemas': ['metadata', 'common', 'folder'],
-    'layouts': ['waeup_common','folder'],
-    'layout_clusters': ['metadata:metadata'],
-    'cps_section_wf': 'waeup_section_wf',
-    'actions': ({'id': 'view',
-                 'name': 'Standard View',
-                 #'action': 'academics_view',
-                 'action': 'temporary_view_all',
-                 'condition': "",
-                 'permissions': (View,)},
-                {'id': 'add_faculty',
-                 'name': 'Add Faculty',
-                 'condition': "python:member and 'UniversityManager'in member.getRoles()",
-                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
-                 'permissions': (UniversityManage,)},
-                 {'id': 'localroles',
-                 'name': 'delegate',
-                 'action': 'folder_localrole_form',
-                 'permissions': (UniversityManage,),
-                 'visible': False,
-                 },
-                )
-      }
-###)
-
 student_type = { ###(
     'title': 'WAeUP Student',
@@ -221,5 +181,5 @@
           'action': 'temporary_view_all',
           'condition': '',
-          'permission': (View,StudentManage,UniversityManage),
+          'permission': (StudentManage,UniversityManage),
           'category': 'object',
           'visible': True,},
@@ -260,4 +220,44 @@
           )
 }
+###)
+
+academics_folder_type = { ###(
+    'title': 'WAeUP Academics Folder',
+    'description': 'The WAeUP Academics Folder',
+    'content_icon': '',
+    'content_meta_type': 'AcademicsFolder',
+    'product': 'CPSDefault',
+    'factory': 'addFolder',
+    'immediate_view': 'folder_view',
+    'global_allow': 1,
+    'filter_content_types': 1,
+    'allowed_content_types': ('Faculty',),
+    'allow_discussion': 0,
+    'cps_is_searchable': 1,
+    'cps_display_as_document_in_listing': 1,
+    'cps_proxy_type': 'folder',
+    'schemas': ['metadata', 'common', 'folder'],
+    'layouts': ['waeup_common','folder'],
+    'layout_clusters': ['metadata:metadata'],
+    'cps_section_wf': 'waeup_section_wf',
+    'actions': ({'id': 'view',
+                 'name': 'Standard View',
+                 #'action': 'academics_view',
+                 'action': 'temporary_view_all',
+                 'condition': "",
+                 'permissions': (View,)},
+                {'id': 'add_faculty',
+                 'name': 'Add Faculty',
+                 'condition': "python:member and 'UniversityManager'in member.getRoles()",
+                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
+                 'permissions': (UniversityManage,)},
+                 {'id': 'localroles',
+                 'name': 'delegate',
+                 'action': 'folder_localrole_form',
+                 'permissions': (UniversityManage,),
+                 'visible': False,
+                 },
+                )
+      }
 ###)
 
Index: waeup_product/trunk/skins/waeup_default/temporary_view_all.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/temporary_view_all.pt	(revision 160)
+++ waeup_product/trunk/skins/waeup_default/temporary_view_all.pt	(revision 161)
@@ -13,6 +13,5 @@
   <metal:block fill-slot="main"
                tal:define="folder here/getContent;
-               items here/contentValues;
-               "
+               items python:context.filterContents(items=context.contentValues());"
                >
     <h1> <span tal:content="context/title_or_id" /></h1>      